Package nl.tudelft.simulation.dsol.tutorial.section44

## Class BallAnimation3D

- java.lang.Object
- - nl.tudelft.simulation.dsol.swing.animation.D3.Renderable3D
  - - nl.tudelft.simulation.dsol.tutorial.section44.BallAnimation3D

All Implemented Interfaces:
  `Serializable`, `Renderable3DInterface`

    public class BallAnimation3D
    extends Renderable3D

BallAnimation3D, animation of a ball in 3D.

Copyright (c) 2002-2020 Delft University of Technology, Jaffalaan 5, 2628 BX Delft, the Netherlands. All rights reserved. See for project information https://simulation.tudelft.nl. The DSOL project is distributed under a three-clause BSD-style license, which can be found at https://simulation.tudelft.nl/dsol/3.0/license.html.

Author:
  Roy Chin
See Also:
  Serialized Form

### Field Summary

### Fields inherited from class nl.tudelft.simulation.dsol.swing.animation.D3.Renderable3D

`scale, simulator, source, type`

### Fields inherited from interface nl.tudelft.simulation.dsol.swing.animation.D3.Renderable3DInterface

`DYNAMIC_OBJECT, STATIC_OBJECT`

### Constructor Summary

Constructors
`BallAnimation3D​(Locatable source, SimulatorInterface.TimeDouble simulator)` constructs a new BallAnimation3D.

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `update()`
`protected void` `update​(Enumeration children)` updates the animation of this object.

### Methods inherited from class nl.tudelft.simulation.dsol.swing.animation.D3.Renderable3D

`getScale, getSource, getType, setScale`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### BallAnimation3D

    public BallAnimation3D​(Locatable source,
                           SimulatorInterface.TimeDouble simulator)

constructs a new BallAnimation3D.

Parameters:
  `source` - Locatable; the source
  `simulator` - SimulatorInterface.TimeDouble; the simulator

### Method Detail

#### update

    protected void update​(Enumeration children)

updates the animation of this object.

Specified by:
  `update` in class `Renderable3D`
Parameters:
  `children` - Enumeration; the children to update

#### update

    public void update()